% inicializacija
a11=5;
a12=0.05;
a21=0.0004;
a22=0.2;
dt=0.01;
tfin=10;
rab=520;
fox=85;
i=1;

%casovna zanka
for t=0:dt:tfin;
   
   %DERIV
   rabdot=a11*rab-a12*rab*fox;
   foxdot=a21*rab*fox-a22*fox;
   
   %OUTPUT
   zajci(i)=rab;
   lisice(i)=fox;
   cas(i)=t;
   
   %INTEG
   rab=rab+rabdot*dt;
   fox=fox+foxdot*dt;
   
   i=i+1;
end;

% prikaz rezultatov po simulaciji
plot(cas,lisice,cas,zajci);
hold on;
[t,x,y]=sim('lisice',tfin)
plot(t,y(:,1),t,y(:,2))
