model avto1 
parameter Real m1=500;
parameter Real k1=7500;
parameter Real k2=150000;
parameter Real f=2250;
Real y1(start=-0.05);
Real y2;
Real y1dot;
Real y2dot;
Real y1dotdot;
Real y2dotdot;
equation 
m1*y1dotdot=-f*(y1dot-y2dot)-k1*(y1-y2);
0=-f*(y2dot-y1dot)-k1*(y2-y1)-k2*y2;
y1dot=der(y1);
y1dotdot=der(y1dot);
y2dot=der(y2);
y2dotdot=der(y2dot);
end avto1;
