within ;
model avto5
parameter Real m1=500;
parameter Real m2=10;
parameter Real k1=500;
parameter Real k2=50000;
parameter Real f=3000;
parameter Real z=0.1;
Real y1;
Real y2;
Real y1dot;
Real y2dot;
Real y1dotdot;
Real y2dotdot;
equation
m1*y1dotdot+f*(y1dot-y2dot)+k1*(y1-y2)=0;
m2*y2dotdot+f*(y2dot-y1dot)+k1*(y2-y1)+k2*(y2-z)=0;
y1dot=der(y1);
y1dotdot=der(y1dot);
y2dot=der(y2);
y2dotdot=der(y2dot);
  annotation (uses(Modelica(version="3.1")));
end avto5;
