within ;
model AVS_primer47
  annotation (uses(Modelica(version="3.1")),   Diagram(graphics),
    experiment(StopTime=10),
    version="1",
    conversion(from(version="", script="ConvertFromprimer_2_5_R1_.mos")));
  Modelica.Mechanics.Translational.Components.Spring spring 
    annotation (Placement(transformation(
        origin={-28,48},
        extent={{-10,-10},{10,10}},
        rotation=90)));
  Modelica.Mechanics.Translational.Components.Damper damper(
                                                 d=1) 
    annotation (Placement(transformation(
        origin={-28,20},
        extent={{-10,-10},{10,10}},
        rotation=90)));
  Modelica.Mechanics.Translational.Components.Fixed fixed 
    annotation (Placement(transformation(extent={{-38,-10},{-18,10}}, rotation=
            0)));
  Modelica.Mechanics.Translational.Sources.Position position 
    annotation (Placement(transformation(extent={{-48,58},{-28,78}}, rotation=0)));
  Modelica.Blocks.Sources.Step step annotation (Placement(transformation(extent
          ={{-82,58},{-62,78}}, rotation=0)));
equation
  connect(step.y, position.s_ref) 
    annotation (Line(points={{-61,68},{-50,68}}, color={0,0,127}));
  connect(position.flange,   spring.flange_b) 
    annotation (Line(points={{-28,68},{-28,58}}, color={0,127,0}));
  connect(spring.flange_a, damper.flange_b) 
    annotation (Line(points={{-28,38},{-28,30}}, color={0,127,0}));
  connect(damper.flange_a,fixed.flange) 
    annotation (Line(points={{-28,10},{-28,0}}, color={0,127,0}));
end AVS_primer47;
