model Three_charts_tekstual "Dabney Example7.1- three charts" 
  import SI = Modelica.SIunits;
  parameter SI.Weight m[3] = {1, 3, 2} "Mass";
  parameter Real k[4](final unit="N/m") = {1, 2, 4, 0} "Stiffness of springs";
  SI.Distance x[5](start={0, 1, 0, 0, 0},fixed=true) "Initial displacements";
  SI.Velocity v[5](each start = 0) "Initial velocities";
equation 
  der(x) = v;
  for i in 1:3 loop
    m[i] * der(v[i+1]) = - k[i]*(x[i+1]-x[i]) - k[i+1]*(x[i+1]-x[i+2]);
  end for;
  x[1] = 0;
  x[5] = 0;

end Three_charts_tekstual;
