within ;
model temper
parameter Real T=1;
parameter Real p=5;
parameter Real k=2;
parameter Real theta_e=15;

Real theta_w;
Real theta;
Real theta_dot_w;

equation
theta_dot_w+(1/T)*theta_w=(k/T)*p;
theta_dot_w=der(theta_w);
theta=theta_w+theta_e;
  annotation (
    experiment(StopTime=5),
    experimentSetupOutput,
    uses(Modelica(version="3.1")));
end temper;
